# Get destination tokens

## POST /v1/swaps/get-destination-tokens

> Lookup destination tokens available for swaps. It can be filtered by specific tokens user\
> &#x20;          owns or by searching by keywords

```json
{"openapi":"3.0.3","info":{"title":"SecretKeyLabs API","version":"1.0.0"},"tags":[],"servers":[{"url":"https://api.secretkeylabs.io"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","name":"x-api-key","in":"header"}}},"paths":{"/v1/swaps/get-destination-tokens":{"post":{"tags":["Swaps"],"description":"Lookup destination tokens available for swaps. It can be filtered by specific tokens user\n           owns or by searching by keywords","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"protocol":{"anyOf":[{"type":"string","enum":["runes"]},{"type":"string","enum":["btc"]}]},"from":{"type":"object","properties":{"ticker":{"type":"string"},"protocol":{"anyOf":[{"type":"string","enum":["runes"]},{"type":"string","enum":["btc"]}]}},"required":["ticker","protocol"]},"userTokens":{"type":"array","items":{"anyOf":[{"type":"object","allOf":[{"type":"object","properties":{"ticker":{"type":"string"},"protocol":{"anyOf":[{"type":"string","enum":["runes"]},{"type":"string","enum":["btc"]}]}},"required":["ticker","protocol"]},{"type":"object","properties":{"name":{"type":"string"},"symbol":{"type":"string"},"divisibility":{"type":"number"},"logo":{"type":"string"},"contract":{"type":"string"}},"required":["divisibility"]}]},{"type":"object","properties":{"ticker":{"type":"string"},"protocol":{"anyOf":[{"type":"string","enum":["runes"]},{"type":"string","enum":["btc"]}]}},"required":["ticker","protocol"]}]}},"search":{"type":"string"}},"required":["userTokens"]}}},"required":true},"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","allOf":[{"type":"object","properties":{"ticker":{"type":"string"},"protocol":{"anyOf":[{"type":"string","enum":["runes"]},{"type":"string","enum":["btc"]}]}},"required":["ticker","protocol"]},{"type":"object","properties":{"name":{"type":"string"},"symbol":{"type":"string"},"divisibility":{"type":"number"},"logo":{"type":"string"},"contract":{"type":"string"}},"required":["divisibility"]}]}}},"required":["items"]}}}},"400":{"description":"Invalid input","content":{"application/json":{"schema":{"description":"Invalid input","type":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"description":"Unauthorized","type":"string"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"description":"Not found","type":"string"}}}},"429":{"description":"Rate limit exceeded","content":{"application/json":{"schema":{"description":"Rate limit exceeded","type":"string"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"description":"Internal server error","type":"string"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xverse.app/api/swaps/get-destination-tokens.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
